import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';

<Meta
  title="util/digi-util-detect-click-outside"
  parameters={{
    actions: {
      handles: ['afOnClickInside', 'afOnClickOutside']
    }
  }}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the standard implementation. Go to canvas and open up the actions panel to see the events for clicks inside and outside.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-util-detect-click-outside>
        <digi-typography>
          <p>Open the actions panel and try clicking on me and outside me!</p>
        </digi-typography>
      </digi-util-detect-click-outside>
    `}
  </Story>
</Canvas>
